Bug 428798 - (OmegaT) Review Request: OmegaT - Computer Aid Translation tool
Review Request: OmegaT - Computer Aid Translation tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: htmlparser vldocking
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 05:56 EST by Ismael Olea
Modified: 2008-10-16 04:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 13:14:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)
start up log without vldocking (3.70 KB, text/plain)
2008-09-01 03:10 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Ismael Olea 2008-01-15 05:56:17 EST
This is my first package and I need a sponsor. 
FYI: I've have another new request on https://bugzilla.redhat.com/show_bug.cgi?id=428793

Spec URL: http://olea.org/tmp/omegat.spec
SRPM URL: http://olea.org/paquetes-rpm/OmegaT-1.7.3-2olea.src.rpm
Description: 
OmegaT is a free translation memory application written in Java. It is a tool intended for professional translators. It does not translate for you! OmegaT has the following features: * Fuzzy matching * Match propagation * Simultaneous processing of multiple-file projects * Simultaneous use of multiple translation memories * External glossaries * Document file formats: XHTML and HTML Microsoft Office 2007 XML OpenOffice.org/StarOffice XLIFF (Okapi) MediaWiki (Wikipedia) Plain text * Unicode (UTF-8) support: can be used with non-Latin alphabets * Support for right-to-left languages * Compatible with other translation memory applications (TMX)
Comment 1 Mamoru TASAKA 2008-02-06 03:51:05 EST
Well, for general packaging guidelines you can refer to:
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

- First remove non-fedora-related parts/macros and replace
  them properly.
  * %mkrel is not defined
  * MandrivaLinux is not related to us.
  * Please remove the redundant if "%{_vendor}" != "redhat" &&...
    check
  * %{clean_desktop_database} is perhaps not defined.
- You don't have to define %version, %release redundantly.
- Source must be given with full URL.
  http://fedoraproject.org/wiki/Packaging/SourceURL
- "GPL" license tag is invalid for Fedora.
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
- When using "cp" or "install" commands, please add "-p" option
  to keep timestamps on installed files
- When installing desktop files, "desktop-file-install" command
  must be properly used.
- For desktop files, the category "Application" is deprecated and
  should be removed.
Comment 2 Ismael Olea 2008-02-10 12:02:29 EST
Applied all suggestions:

Spec URL: http://olea.org/tmp/omegat.spec
SRPM URL: http://olea.org/paquetes-rpm/OmegaT-1.7.3-4olea.src.rpm
Comment 3 Mamoru TASAKA 2008-02-11 07:34:01 EST
For 1.7.3-4:

* Spec file name
  - We request that the name of the spec file must coincide
    with the name of rpm.

* About Source1:
  - Please write the full URL for Source1.
    Otherwise please write how you gained Source1 as comments
    in the spec file

* Pre-rebuilt binaries
  - To make it sure that omegat is built from all free and
    legally-compatible sources, please remove all pre-rebuilt
    binaries (like *.jar) first at %prep like:
---------------------------------------------------------
%prep
%setup -q -c -n %{name}-%{version}
find . -name \*.jar -exec rm {} . \;
----------------------------------------------------------

* Icon directory
  - Icon must be installed not under %_iconsdir (/usr/share/icons)
    but under %{_datadir}/pixmaps

* Empty scriptlets
  - Please remove empty %post/%postun
Comment 4 Ismael Olea 2008-02-11 08:00:23 EST
(In reply to comment #3)
> For 1.7.3-4:
> 
> * Spec file name
>   - We request that the name of the spec file must coincide
>     with the name of rpm.


done 

> * About Source1:
>   - Please write the full URL for Source1.
>     Otherwise please write how you gained Source1 as comments
>     in the spec file

I've used the original one inside the sources... done?

> * Pre-rebuilt binaries
>   - To make it sure that omegat is built from all free and
>     legally-compatible sources, please remove all pre-rebuilt
>     binaries (like *.jar) first at %prep like:
> ---------------------------------------------------------
> %prep
> %setup -q -c -n %{name}-%{version}
> find . -name \*.jar -exec rm {} . \;
> ----------------------------------------------------------

ups. Seems this is an stopping bug for me. I should investigate for fixing this :-/

> * Icon directory
>   - Icon must be installed not under %_iconsdir (/usr/share/icons)
>     but under %{_datadir}/pixmaps

as now is not using the previos icon, IMHO this is done too. 

> * Empty scriptlets
>   - Please remove empty %post/%postun

done.


Spec URL: http://olea.org/tmp/OmegaT.spec
SRPM URL: http://olea.org/paquetes-rpm/OmegaT-1.7.3-5olea.src.rpm

Comment 5 Mamoru TASAKA 2008-02-24 09:56:13 EST
(In reply to comment #4)
> > * Pre-rebuilt binaries
> >   - To make it sure that omegat is built from all free and
> >     legally-compatible sources, please remove all pre-rebuilt
> >     binaries (like *.jar) first at %prep like:
> > ---------------------------------------------------------
> > %prep
> > %setup -q -c -n %{name}-%{version}
> > find . -name \*.jar -exec rm {} . \;
> > ----------------------------------------------------------
> 
> ups. Seems this is an stopping bug for me. I should investigate for fixing
this :-/


If you resolved this issue, please upload a new srpm (with release
number changed) again.
Comment 6 Ismael Olea 2008-02-25 03:48:55 EST
Thanks for your insterest. I'm still have to find the time to fixing this. The
good news are I found the work of the packager for other distro who solved most
of this things.

I'll inform you at the momment I have the new version.
Comment 7 Mamoru TASAKA 2008-05-29 14:00:39 EDT
Would you have any news?
Comment 8 Ismael Olea 2008-05-30 13:18:19 EDT
Not for the next weeks, sorry.
Comment 9 Mamoru TASAKA 2008-06-23 11:34:50 EDT
ping again?
Comment 10 Ismael Olea 2008-07-04 13:43:37 EDT
Seems I'll give up with it.

The next version (in beta stage) seems to be more easy to work with.

The last version of the package is:

http://olea.org/tmp/OmegaT.spec
http://olea.org/paquetes-rpm/OmegaT-1.7.3_02-1olea.src.rpm

It compiles, install and seems to be usable, but it doesn't accomplish the
Fedora guidelines.
Comment 11 Mamoru TASAKA 2008-07-04 14:42:46 EDT
Currently I found 4 jar files in OmegaT source tarball:
./nbproject/org-netbeans-modules-java-j2seproject-copylibstask.jar
 - Seemingly from
   http://www.netbeans.org/

./lib/vldocking_2.0.6d.jar
  - Seemingly from
    http://www.vlsolutions.com/en/products/docking/licensing.php

./lib/htmlparser.jar
  - Seemingly from
    http://htmlparser.sourceforge.net/

./lib/MRJAdapter.jar
  - This seems not needed.

Would you check these?
Comment 12 Mamoru TASAKA 2008-07-18 11:13:48 EDT
ping?
Comment 13 Mamoru TASAKA 2008-08-06 09:52:18 EDT
ping again?
Comment 14 Ismael Olea 2008-08-25 03:45:16 EDT
(In reply to comment #13)
> ping again?

Hopefully I'll spent some time in this in the next days. Please don't despair :-)
Comment 15 Mamoru TASAKA 2008-08-25 03:51:50 EDT
Okay, thank you for response.
Comment 16 Ismael Olea 2008-08-26 17:14:59 EDT
(In reply to comment #11)
> Currently I found 4 jar files in OmegaT source tarball:
> ./nbproject/org-netbeans-modules-java-j2seproject-copylibstask.jar

This seems not to be needed.

> ./lib/vldocking_2.0.6d.jar
>   - Seemingly from
>     http://www.vlsolutions.com/en/products/docking/licensing.php

pending
 
> ./lib/htmlparser.jar
>   - Seemingly from
>     http://htmlparser.sourceforge.net/

first version done:

http://olea.org/tmp/htmlparser.spec
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-1olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-1olea.noarch.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-javadoc-1.6-1olea.noarch.rpm

Koji info: http://koji.fedoraproject.org/koji/taskinfo?taskID=787616

lib-mnemonics.jar is pending too.
Comment 18 Mamoru TASAKA 2008-08-26 22:38:08 EDT
Thanks for your work.

Then would you submit seperate review requests for each srpms and add proper
"Depends on/Blocks" markers? (and please make the newly created review requests
block NEEDSPONSOR as well as this bug)
Comment 19 Ismael Olea 2008-08-27 04:15:44 EDT
(In reply to comment #18)

> Then would you submit seperate review requests for each srpms and add proper
> "Depends on/Blocks" markers? (and please make the newly created review requests
> block NEEDSPONSOR as well as this bug)

I'll do as soon I finish the OmegaT package (let it compile using its dependencies). I'd put it here for making easy your review.
Comment 20 Ismael Olea 2008-08-27 07:56:07 EDT
Updated:

http://olea.org/tmp/OmegaT.spec

http://olea.org/paquetes-rpm/fedora-9/OmegaT-1.7.3_03-2olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/OmegaT-1.7.3_03-2olea.noarch.rpm
http://olea.org/paquetes-rpm/fedora-9/OmegaT-javadoc-1.7.3_03-2olea.noarch.rpm

There are some internal paths to be fixed but the apps seem to work.

The netbeans jar is only used to compile OmegaT-lib-mnemonics-1.7.3_03.jar. Dunno if it's removable or not, but seems to annoy to package only for this...
Comment 21 Mamoru TASAKA 2008-08-27 11:15:52 EDT
(In reply to comment #20)
Hello, again:

> Updated:
 
> The netbeans jar is only used to compile OmegaT-lib-mnemonics-1.7.3_03.jar.
> Dunno if it's removable or not, but seems to annoy to package only for this...

Well, I am not Java expert and know nothing about netbeans, however the jar file
needed to rebuild OmegaT is available when bug 456341 or bug 456337 gets passed?
Comment 22 Mamoru TASAKA 2008-08-27 11:17:57 EDT
or maybe bug 456273?
Comment 23 Ismael Olea 2008-08-29 06:49:54 EDT
(In reply to comment #21)
(In reply to comment #22)

> Well, I am not Java expert and know nothing about netbeans, however the jar
> file
> needed to rebuild OmegaT is available when bug 456341 or bug 456337 gets
> passed?
> or maybe bug 456273?

Neither of the three. I strongly suspects of being needed only by the Neatbeans' build xml scripts.
Comment 24 Ismael Olea 2008-08-29 15:45:16 EDT
Netbeans dependency has been apparently removed with a brand new build.xml scriplet:

http://olea.org/tmp/OmegaT.spec

http://olea.org/paquetes-rpm/fedora-9/OmegaT-1.7.3_03-3olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/OmegaT-1.7.3_03-3olea.noarch.rpm

:-)
Comment 25 Mamoru TASAKA 2008-09-01 03:10:47 EDT
Created attachment 315456 [details]
start up log without vldocking

Okay, now OmegaT builds correctly from FOSS sources
correctly (in mock)

Then for 1.7.3_03-3:

* License
  - As far as I checked the source codes, License tag must
    be "GPLv2+".

* Dependency
  - Currently omegat cannot be lauched (logs attached)
    At least "Requires: vldocking" is needed (note: this is not
    automatically added by rpmbuild)

! Unneeded directory
------------------------------------------------------------
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
------------------------------------------------------------
  - Perhaps currently %_iconsdir is not used for this package?

* Macros
  - Use macros for standard directories
------------------------------------------------------------
cat > $RPM_BUILD_ROOT%{_bindir}/%{namer} <<EOF
#!/bin/sh
. /usr/share/java-utils/java-functions <=================
java -jar %{_javadir}/OmegaT.jar $*

EOF
------------------------------------------------------------
     /usr/share must be %{_datadir} (when you use %{_datadir} in
     the spec file here, rpmbuild correctly expands the macro)

* Desktop file
  - "X-Desktop-File-Install-Version" is automatically added by
    desktop-file-install command, so this is not needed (and
    on rawhide this is 0.15)

* General rpmlint issue
------------------------------------------------------------
OmegaT.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/OmegaT-1.7.3_03/readme_hu.txt
OmegaT.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/OmegaT-1.7.3_03/readme.txt
OmegaT.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/OmegaT-1.7.3_03/readme_pt_BR.txt
OmegaT.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/OmegaT-1.7.3_03/readme_sk.txt
(and so many)
OmegaT.noarch: W: class-path-in-manifest /usr/share/java/OmegaT-1.7.3_03.jar
OmegaT.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 7)
------------------------------------------------------------

  - Many document files have CRLF (windows-like) end-of-line encoding.
    Usually this can be fixed by dos2unix, or if you want to keep timestamps
    (I usually keep timestamps),
------------------------------------------------------------
for file in ......
	do
	sed -i.bak -e 's|\r||' $file
	touch -r ${file}.bak $file
	rm -f ${file.bak}
done
------------------------------------------------------------
    should remove these warnings
  - I am not Java expert, however is manifest needed for OmageT jar file?
  - For cosmetic issue, please select "spaces" or "tabs" for indentation,
    not using both.
Comment 26 Ismael Olea 2008-09-17 16:19:44 EDT
(In reply to comment #25)
> * License
>   - As far as I checked the source codes, License tag must
>     be "GPLv2+".

fixed

> * Dependency
>   - Currently omegat cannot be lauched (logs attached)
>     At least "Requires: vldocking" is needed (note: this is not
>     automatically added by rpmbuild)

fixed

> ! Unneeded directory
> ------------------------------------------------------------
> mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}

fixed
> 
> * Macros
>   - Use macros for standard directories

fixed
 
> * Desktop file
>   - "X-Desktop-File-Install-Version" is automatically added by
>     desktop-file-install command, so this is not needed (and
>     on rawhide this is 0.15)

fixed


> * General rpmlint issue
> ------------------------------------------------------------
> OmegaT.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/OmegaT-1.7.3_03/readme_hu.txt

fixed

> OmegaT.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 7)

fixed

>   - I am not Java expert, however is manifest needed for OmageT jar file?

Well, me not too. I've been doing zillion test and this is only method I found to let the application work.

Probably there is a more elegant method. I hope I'll learn it in the future.

http://olea.org/tmp/OmegaT.spec

http://olea.org/paquetes-rpm/fedora-9/OmegaT-1.7.3_03-4olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/OmegaT-1.7.3_03-4olea.noarch.rpm

Seems ready!
Comment 27 Mamoru TASAKA 2008-09-18 03:38:22 EDT
This package itself is okay now.

Some notes:
* In %changelog:
---------------------------------------------------
%changelog
* Wed Sep 17 2008 Ismael Olea <ismael@olea.org> 1.7.3_03-4olea
                                                          ^^^^
- minor and cosmetic changes
---------------------------------------------------
  - Please remove this "olea" suffix. Fedora uses different 
    %{?dist} tag.

* About preinstalled binaries:
  - Please also remove release/win32-specific/*exe and
    lib/sources/htmlparser1_6_20060610.zip-source.zip.
    Perhaps these are not used.

Now I am waiting for htmlparser update.
Comment 28 Mamoru TASAKA 2008-09-18 03:39:55 EDT
( I am already sponsoring )
Comment 29 Ismael Olea 2008-09-18 09:23:37 EDT
(In reply to comment #27)

> This package itself is okay now.

good!
 
> Some notes:
> * In %changelog:
> ---------------------------------------------------
> %changelog
> * Wed Sep 17 2008 Ismael Olea <ismael@olea.org> 1.7.3_03-4olea
>                                                           ^^^^
> - minor and cosmetic changes
> ---------------------------------------------------
>   - Please remove this "olea" suffix. Fedora uses different 
>     %{?dist} tag.

removed in the last/next versions 

> * About preinstalled binaries:
>   - Please also remove release/win32-specific/*exe and
>     lib/sources/htmlparser1_6_20060610.zip-source.zip.
>     Perhaps these are not used.

Removed

Look at http://olea.org/paquetes-rpm/ for the revision 5. 

> 
> Now I am waiting for htmlparser update.

As I said, I don't plan to update it more in the near term...
Comment 30 Mamoru TASAKA 2008-09-18 10:05:27 EDT
Okay.

----------------------------------------------------
   This package (OmegaT) is APPROVED by mtasaka
----------------------------------------------------
Comment 31 Ismael Olea 2008-10-05 22:23:32 EDT
New Package CVS Request
=======================
Package Name:       OmegaT
Short Description:  Computer Aid Translation tool
Owners:             olea
Branches:           F-8 F-9
InitialCC:          mtasaka
Comment 32 Huzaifa S. Sidhpurwala 2008-10-06 05:55:24 EDT
cvs done
Comment 33 Mamoru TASAKA 2008-10-06 14:05:10 EDT
If you cannot rebuild OmegaT on F-9/8 right now, please

- visit https://fedorahosted.org/rel-eng/ and login
- submit a request to make F-8/9 vldocking/htmlparser
  tagged as dist-f{8,9}-override. When submitting
  requests on fedorahosted trac, please provide the
  EVR (Epoch-Version-Release) information of vldocking/htmlparser
  needed to build OmegaT.

After rel-eng team tags those packages, you will be able to build OmegaT 
on F-9/8.
Comment 34 Mamoru TASAKA 2008-10-12 03:05:49 EDT
ping?
Comment 35 Ismael Olea 2008-10-12 17:00:57 EDT
Opened ticket: https://fedorahosted.org/rel-eng/ticket/854
Comment 36 Mamoru TASAKA 2008-10-14 13:14:47 EDT
Now closing as F-8/9 builds are successful and both packages
are submitted on bodhi.

When you think F-8/9 packages can be moved from testing to stable
repositories, please edit the submitted requests on bodhi.
Comment 37 Ismael Olea 2008-10-16 04:10:39 EDT
Perfect! Thanks :-)

Note You need to log in before you can comment on or make changes to this bug.